Subject: Nits for pppext-eap-ttls-01

From: Cain Brian-BCAIN1 <[email-masked]>
Date: Wed, 1 May 2002 14:37:16 -0500

Nits for pppext-eap-ttls-01:

Section 6.4: "Thus phase 2 of a resumed session proceeds just it would a new session...", probably should be "Thus phase 2 of a resumed session proceeds just as it would for a new session..."

Section 7: "The constant string 'key expansion' is used as input ...", and "... with the constant string set to 'ttls keying material', as follows: ..."  

The strings referred to are ASCII-encoded character strings?  Shouldn't that be more explicit?

Section 9: "Also, the representation of the Data field of an AVP in EAP-TTLS is identical to that of Diameter."  Not quite.  The 'P' bit is missing.  Was this an intentional omission or did it just fall out of sync?  If it were intentional, it should probably be noted as such.  What's the reason that there cannot simply be a pointer to the Diameter draft's representation (if they're supposed to be identical anyways...)?

--
Brian Cain

---

From: "Anil Kumar Reddy" <[email-masked]>
Date: Thu, 2 May 2002 22:19:44 +0530

Hi,

    I have a question about RFC-2472 (IPv6 over PPP), related to
    interface identifier option. Could somebody please answer.

    RFC-2472 gives 3 options in selecting an interface identifier for
    the negotiation. My doubt is related to option #1 - creating it from
    EUI-64 or EUI-48 identifiers. It says the 'u' (universal/local) bit
    should be set to 1, while derriving the interface identifier from
    EUI-48 identifier.

    In this scenario, suppose we create a ppp interface (which is a logical
    interface) with an interface address derrived from the above EUI-48
    ('u' bit set to 1), extracted from any locally available interfaces.
    Then there is a chance of address clashing, when we want to configure
    the interface (physical), from which we have taken EUI-48 identifier &
    used for ppp interface. And it will not be possible to have two
interfaces
    with the same address (& globally unique - u bit).

    What is the meaning of these statements in RFC-2472 ??

    Thanks in advance for your help.

Regards,
Anil